Bug 1300820 - sigul is installed in /usr/share/sigul/ instead of python sitelib
sigul is installed in /usr/share/sigul/ instead of python sitelib
Product: Fedora
Classification: Fedora
Component: sigul (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Patrick Uiterwijk
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-01-21 15:04 EST by Adam Miller
Modified: 2016-09-02 12:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-09-02 12:25:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Miller 2016-01-21 15:04:26 EST
Description of problem:
It seems as though sigul should be installed into python sitelib as per Packaging Guidelines, is there a reason or particular motivation behind why it was not?


$ rpm -ql sigul

Version-Release number of selected component (if applicable):
Comment 1 Colin Walters 2016-01-21 15:09:04 EST
It's a common pattern for applications that happen to be written in Python, but aren't intended to actually be shared libaries.
Comment 2 Miloslav Trmač 2016-01-21 15:17:00 EST
Thanks for your report.

sigul is not a library designed to be called from other applications, so AFAICT it makes no sense for it to be placed in a directory where other applications search for imports. There is not benefit to it, and there is a trivial cost of one more directory entry in that frequently-used directory, and a bit bigger cost of other people thinking that sigul might be expected to be used as a library.

These .py files are an internal architecture-independent aspect of sigul’s implementation which have nothing to do with Python’s modules in the default import path; /usr/share seems is the default place for internal architecture-independent files per FHS.

Compare e.g. /usr/share/{authconfig,hplip,rpmlint,system-config-printer,yum-cli}/virt-manager.

Can you please cite the exact part of the guidelines which requires placement in sitelib? I couldn't find it with a quick search for “sitelib”.
Comment 3 Fedora Admin XMLRPC Client 2016-08-09 10:55:25 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.